@import "@/assets/scss/global";
.buy-combo-container {
    display: flex;
    flex-direction: column;
    gap: 10px;
    .title {
        color: #EF4E2B;
        font-size: 16px;
        font-weight: 700;
        line-height: 24px;
    }

    .combo-box {
        width: 100%;
        @include tabletScreen {
            max-height: 380px;
            overflow-y: auto;
            scroll-behavior: smooth;
            padding-right: 5px;
        }

        .form-data {
            padding: 10px;
            border-radius: 12px;
            background-color: #F7F8FC;
            margin-bottom: 10px;

            &:last-child{
                margin-bottom: 0;
            }

            .item-data {
                .account-data {
                    display: flex;
                    flex-direction: row;
                    gap: 5px;
                    align-items: center;
                    padding-bottom: 10px;

                    .account-title {
                        display: flex;
                        flex: 1;
                        gap: 5px;
                        align-items: center;
                        cursor: pointer;
                    }

                    span {
                        color: #202226;
                        font-size: 15px;
                        font-weight: 500;
                        line-height: 22px;
                        flex: 1;
                    }
                }

                .data-fields {
                    opacity: 1;
                    transition: opacity 0.2s ease-in-out, height 0.2s ease-in-out;
                    display: flex;
                    flex-direction: column;
                    gap: 10px;
                    width: 100%;

                    .input-field {
                        > div {
                            overflow: hidden;
                        }
                        input {
                            background-color: #FFF;
                        }
                    }

                    .col2 {
                        width: 100%;
                        display: flex;
                        flex-direction: row;
                        gap: 10px;

                        & > :nth-child(1) {
                            flex: 1.2;
                        }

                        & > :nth-child(2) {
                            flex: 2;
                        }
                    }

                    &.hide {
                        height: 0;
                        opacity: 0;
                        transition: opacity 0.2s ease-in-out, height 0.2s ease-in-out;
                        padding-bottom: 0;
                        
                        > * {
                            display: none;
                        }
                    }
                }
            }
        }
    }

    .line-dash {
        padding: 30px 0;
        & > div {
            height: 1.5px;
            width: 100%;
            background-image: linear-gradient(90deg,#dfdaff 0,#dfdaff 50%,transparent 0);
            background-size: 19px 2px;
            background-repeat: repeat-x;
        }
    }

    .payment-detail {
        display: flex;
        flex-direction: row;
        gap: 32px;

        .details-info {
            display: flex;
            flex-direction: column;
            gap: 20px;

            span {
                color: #202226;
                font-size: 14px;
                font-weight: 500;
                line-height: 20px;

                &.price {
                    color: #21C274;
                    font-size: 20px;
                    font-weight: 800;
                    line-height: 20px;
                }
            }
        }
    }

}